summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorin Coras <florin.coras@gmail.com>2017-02-03 16:23:21 +0000
committerGerrit Code Review <gerrit@fd.io>2017-02-03 16:23:21 +0000
commit8a12b449c9f9c5b8d58a5f2f71d359bd8636d1b8 (patch)
tree6d9390e6653f7bbc1603da25ee62763969b107d7
parent048ed618fc8c3453862c14645c89b1c668326a80 (diff)
parenta4039775e53bc4754034fee11a7091502bc1bfb9 (diff)
Merge "Add negative mapping test"
-rw-r--r--tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp1.config7
-rw-r--r--tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp2.config7
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh21
-rwxr-xr-xtests/data_plane/vpp_lite_topo/tests/test_negative_mapping_4o4.sh9
4 files changed, 44 insertions, 0 deletions
diff --git a/tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp1.config b/tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp1.config
new file mode 100644
index 0000000..0842541
--- /dev/null
+++ b/tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp1.config
@@ -0,0 +1,7 @@
+create_host_iface vpp1 6.0.1.1/24
+create_host_iface intervpp1 6.0.3.1/24
+
+lisp_state enable
+lisp_locator_set_with_locator ls1 host-intervpp1 1 1
+lisp_local_eid eid 6.0.1.0/24 locator-set ls1
+lisp_remote_mapping eid 6.0.2.0/24 action drop
diff --git a/tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp2.config b/tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp2.config
new file mode 100644
index 0000000..a5e22ce
--- /dev/null
+++ b/tests/data_plane/configs/vpp_lite_config/basic/4o4_neg_mapping/vpp2.config
@@ -0,0 +1,7 @@
+create_host_iface vpp2 6.0.2.1/24
+create_host_iface intervpp2 6.0.3.2/24
+
+lisp_state enable
+lisp_locator_set_with_locator ls1 host-intervpp2 1 1
+lisp_local_eid eid 6.0.2.0/24 locator-set ls1
+lisp_remote_mapping eid 6.0.1.0/24 rloc 6.0.3.1
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
index aab2adb..8a1ac51 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
@@ -63,3 +63,24 @@ function test_basic_no_odl
exit $test_result
}
+function test_negative_mapping
+{
+ 2_node_topo_setup no_odl
+ maybe_pause
+
+ test_result=1
+
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ rc=$?
+
+ # test done
+ 2_node_topo_clean no_odl
+ if [ $rc -eq 0 ] ; then
+ echo "Test failed!"
+ else
+ echo "Test passed."
+ test_result=0
+ fi
+
+ exit $test_result
+}
diff --git a/tests/data_plane/vpp_lite_topo/tests/test_negative_mapping_4o4.sh b/tests/data_plane/vpp_lite_topo/tests/test_negative_mapping_4o4.sh
new file mode 100755
index 0000000..5d5c90a
--- /dev/null
+++ b/tests/data_plane/vpp_lite_topo/tests/test_negative_mapping_4o4.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+# Test negative mapping
+
+VPP_LITE_CONF=`pwd`/../configs/vpp_lite_config/basic/4o4_neg_mapping
+
+source test_driver/basic_no_odl.sh
+
+test_negative_mapping ping "6.0.2.2"